Package org.jfree.layouting.renderer.model.table

## Class TableColumnNode

- java.lang.Object
- - org.jfree.layouting.renderer.model.RenderNode
  - - org.jfree.layouting.renderer.model.SpacerRenderNode
    - - org.jfree.layouting.renderer.model.table.TableColumnNode

-     public class TableColumnNode
      extends SpacerRenderNode

  A table column defines a limited set of style properties, which may be applied to the cells.

  Border, if the border-model is the collapsing border model. Background, if both cell and row have a transparent background Width, is a minimum width. If the cell exceeds that size, the table cannot be rendered in incremental mode anymore. We may have to use the validation run to check for that rule. Visiblity, if set to collapse, the column will not be rendered. Not yet.
  Author:
    Thomas Morgner

- - ### Field Summary

    - ### Fields inherited from class org.jfree.layouting.renderer.model.RenderNode

      `HORIZONTAL_AXIS, VERTICAL_AXIS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TableColumnNode​(BoxDefinition definition)` |
    `TableColumnNode​(BoxDefinition definition, LayoutContext context)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BoxDefinition` | `getBoxDefinition​()` |
    `int` | `getColspan​()` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class org.jfree.layouting.renderer.model.RenderNode

      `appyStyle, clone, derive, deriveFrozen, findNodeById, freeze, getAlignmentAdjust, getAlignmentAdjustResolved, getAlignmentBaseline, getBaselineShift, getBaselineShiftResolved, getChangeTracker, getComputedLayoutProperties, getDimension, getEffectiveMarginBottom, getEffectiveMarginTop, getHeight, getInstanceId, getLayoutContext, getLogicalPage, getMajorAxis, getMaximumBoxWidth, getMinimumChunkWidth, getMinorAxis, getNamespace, getNext, getNodeLayoutProperties, getNormalFlow, getPageContext, getParent, getParentBlockContext, getPosition, getPrev, getStickyMarker, getTagName, getVerticalAlignment, getVisibleNext, getVisiblePrev, getWidth, getX, getY, hibernate, isDirectionLTR, isDirty, isFrozen, isHibernated, isIcmMetricsFinished, isOpen, normalizeAlignment, setComputedLayoutProperties, setDimension, setDirty, setHeight, setHibernated, setIcmMetricsFinished, setMajorAxis, setMaximumBoxWidth, setMinimumChunkWidth, setMinorAxis, setNext, setParent, setPosition, setPrev, setStickyMarker, setWidth, setX, setY, updateChangeTracker`

    - ### Methods inherited from class org.jfree.layouting.renderer.model.SpacerRenderNode

      `isDiscardable, isEmpty, isIgnorableForRendering`

- - ### Constructor Detail

    - #### TableColumnNode

          public TableColumnNode​(BoxDefinition definition)

    - #### TableColumnNode

          public TableColumnNode​(BoxDefinition definition,
                                 LayoutContext context)

  - ### Method Detail

    - #### getColspan

          public int getColspan​()

    - #### getBoxDefinition

          public BoxDefinition getBoxDefinition​()